# Form implementation generated from reading ui file 'src/eric7/MicroPython/Devices/CircuitPythonUpdater/ShowOutdatedDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ShowOutdatedDialog(object):
    def setupUi(self, ShowOutdatedDialog):
        ShowOutdatedDialog.setObjectName("ShowOutdatedDialog")
        ShowOutdatedDialog.resize(600, 500)
        ShowOutdatedDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(ShowOutdatedDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.header = QtWidgets.QLabel(parent=ShowOutdatedDialog)
        self.header.setWordWrap(True)
        self.header.setObjectName("header")
        self.verticalLayout.addWidget(self.header)
        self.modulesList = QtWidgets.QTreeWidget(parent=ShowOutdatedDialog)
        self.modulesList.setAlternatingRowColors(True)
        self.modulesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.modulesList.setRootIsDecorated(False)
        self.modulesList.setItemsExpandable(False)
        self.modulesList.setObjectName("modulesList")
        self.modulesList.header().setSortIndicatorShown(False)
        self.verticalLayout.addWidget(self.modulesList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ShowOutdatedDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(ShowOutdatedDialog)
        self.buttonBox.accepted.connect(ShowOutdatedDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ShowOutdatedDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ShowOutdatedDialog)

    def retranslateUi(self, ShowOutdatedDialog):
        _translate = QtCore.QCoreApplication.translate
        ShowOutdatedDialog.setWindowTitle(_translate("ShowOutdatedDialog", "Outdated Modules"))
        self.modulesList.headerItem().setText(0, _translate("ShowOutdatedDialog", "Module"))
        self.modulesList.headerItem().setText(1, _translate("ShowOutdatedDialog", "Version"))
        self.modulesList.headerItem().setText(2, _translate("ShowOutdatedDialog", "Latest"))
        self.modulesList.headerItem().setText(3, _translate("ShowOutdatedDialog", "Update Reason"))
